{
    onResidualOrder: 29,
    onResidual(target) {
      if (!target.activeTurns) return;
      if (!this.canSwitch(target.side) || target.forceSwitchFlag || target.switchFlag)
        return;
      target.switchFlag = true;
      this.add("-activate", target, "ability: Teleporter");
    },
    flags: {},
    name: "Teleporter",
    rating: 2.5,
    num: -32097
}